Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model
Interface ModelItem

All Superinterfaces:
  PropertyChangeNotifier

All Known Subinterfaces:
  Interface, LoadTest, MockOperation, MockResponse, MockService, Operation, Project, Request, TestCase, TestStep, TestSuite, Workspace

All Known Implementing Classes:
  AbstractModelItem, AbstractWsdlModelItem, EmptyModelItem, GroovyScriptAssertion, NotSoapFaultAssertion, ResponseSLAAssertion, SchemaComplianceAssertion, SimpleContainsAssertion, SimpleNotContainsAssertion, SoapFaultAssertion, SoapResponseAssertion, TransferResponseValuesTestStep, WorkspaceImpl, WsdlDelayTestStep, WsdlGotoTestStep, WsdlGroovyScriptTestStep, WsdlInterface, WsdlLoadTest, WsdlLoadTestsModelItem, WsdlMessageAssertion, WsdlMockOperation, WsdlMockResponse, WsdlMockService, WsdlOperation, WsdlProject, WsdlPropertiesTestStep, WsdlRequest, WsdlTestCase, WsdlTestRequest, WsdlTestRequestStep, WsdlTestStep, WsdlTestStepsModelItem, WsdlTestSuite, XPathContainsAssertion, XQueryContainsAssertion

    public interface ModelItem

extends PropertyChangeNotifier

General behaviour for all soapui model items

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `DESCRIPTION_PROPERTY`
`static java.lang.String` | `ICON_PROPERTY`
`static java.lang.String` | `NAME_PROPERTY`

Method Summary
`java.lang.String` | `getDescription()`
`javax.swing.ImageIcon` | `getIcon()`
`java.lang.String` | `getName()`
`Settings` | `getSettings()`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### NAME_PROPERTY

    static final java.lang.String NAME_PROPERTY

### ICON_PROPERTY

    static final java.lang.String ICON_PROPERTY

### DESCRIPTION_PROPERTY

    static final java.lang.String DESCRIPTION_PROPERTY

Method Detail

### getName

    java.lang.String getName()

### getIcon

    javax.swing.ImageIcon getIcon()

### getDescription

    java.lang.String getDescription()

### getSettings

    Settings getSettings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.